<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<ng-container>
  <div *ngIf="claimDetails?.claimedUntilTime != null"
       [class.red]="timeLeftInMinutes < showWarningThreshold">
    {{"shared.claimDetails.statementUnclaimIn" | translate}}
    <label style="font-weight: bold;">ca. {{timeLeftInMinutes}}</label>
    {{"shared.claimDetails.unclaimMinutes" |translate}}
  </div>
  <div *ngIf="claimDetails == null">
    {{"shared.claimDetails.statementUnclaimed" | translate}}
  </div>
</ng-container>

